Index: /trunk/SophyaLib/HiStats/Makefile
===================================================================
--- /trunk/SophyaLib/HiStats/Makefile	(revision 2740)
+++ /trunk/SophyaLib/HiStats/Makefile	(revision 2741)
@@ -1,243 +1,275 @@
-include ../Mgr/Makefile.h
- 
-all: $(LIB)libHiStats.a
+include ../BuildMgr/sophyamake.inc
+ 
+all: $(SOPHYALIBP)libHiStats.a
+ 
 clean:
-	rm -f $(OBJ)basedtable.o $(OBJ)datatable.o $(OBJ)fio_dtable.o $(OBJ)hisprof.o $(OBJ)histerr.o $(OBJ)histinit.o $(OBJ)histos.o $(OBJ)histos2.o $(OBJ)ntupintf.o $(OBJ)ntuple.o $(OBJ)proxtuple.o $(OBJ)swppfdtable.o $(OBJ)xntuple.o
-	rm -f $(LIB)libHiStats.a
-$(LIB)libHiStats.a : $(OBJ)basedtable.o $(OBJ)datatable.o $(OBJ)fio_dtable.o $(OBJ)hisprof.o $(OBJ)histerr.o $(OBJ)histinit.o $(OBJ)histos.o $(OBJ)histos2.o $(OBJ)ntupintf.o $(OBJ)ntuple.o $(OBJ)proxtuple.o $(OBJ)swppfdtable.o $(OBJ)xntuple.o
-	$(ARCXX) $(ARCXXFLAGS) $@ $($(ARARGS))
-ifeq ($(CXX),cxx)
-	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
-endif 
- 
-$(OBJ)basedtable.o: basedtable.cc basedtable.h \
-  $(INC)machdefs.h ntupintf.h \
-  $(INC)dvlist.h \
-  $(INC)objfio.h \
-  $(INC)anydataobj.h \
-  $(INC)ppersist.h \
-  $(INC)pexceptions.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)mutyv.h \
-  $(INC)segdatablock.h \
-  $(INC)sopnamsp.h
-$(OBJ)datatable.o: datatable.cc datatable.h basedtable.h \
-  $(INC)machdefs.h ntupintf.h \
-  $(INC)dvlist.h \
-  $(INC)objfio.h \
-  $(INC)anydataobj.h \
-  $(INC)ppersist.h \
-  $(INC)pexceptions.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)mutyv.h \
-  $(INC)segdatablock.h \
-  $(INC)sopnamsp.h \
-  $(INC)strutil.h \
-  $(INC)fiosegdb.h \
-  $(INC)ppftpointerio.h
-$(OBJ)fio_dtable.o: fio_dtable.cc datatable.h basedtable.h \
-  $(INC)machdefs.h ntupintf.h \
-  $(INC)dvlist.h \
-  $(INC)objfio.h \
-  $(INC)anydataobj.h \
-  $(INC)ppersist.h \
-  $(INC)pexceptions.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)mutyv.h \
-  $(INC)segdatablock.h swppfdtable.h \
-  $(INC)swsegdb.h \
-  $(INC)ppfswapper.h \
-  $(INC)ppftpointerio.h \
-  $(INC)sopnamsp.h \
-  $(INC)fiosegdb.h
-$(OBJ)hisprof.o: hisprof.cc $(INC)sopnamsp.h \
-  $(INC)machdefs.h hisprof.h \
-  $(INC)peida.h \
-  $(INC)utils.h \
-  $(INC)perrors.h \
-  $(INC)pexceptions.h \
-  $(INC)fmath.h \
-  $(INC)tvector.h \
-  $(INC)tmatrix.h \
-  $(INC)tarray.h \
-  $(INC)basarr.h \
-  $(INC)anydataobj.h \
-  $(INC)mutyv.h \
-  $(INC)dvlist.h \
-  $(INC)objfio.h \
-  $(INC)ppersist.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)ndatablock.h \
-  $(INC)utilarr.h histos.h
-$(OBJ)histerr.o: histerr.cc $(INC)sopnamsp.h \
-  $(INC)machdefs.h histinit.h \
-  $(INC)ntoolsinit.h \
-  $(INC)tarrinit.h \
-  $(INC)sophyainit.h histerr.h \
-  $(INC)objfio.h \
-  $(INC)anydataobj.h \
-  $(INC)ppersist.h \
-  $(INC)pexceptions.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h histos.h \
-  $(INC)peida.h \
-  $(INC)utils.h \
-  $(INC)perrors.h \
-  $(INC)fmath.h \
-  $(INC)tvector.h \
-  $(INC)tmatrix.h \
-  $(INC)tarray.h \
-  $(INC)basarr.h \
-  $(INC)mutyv.h \
-  $(INC)dvlist.h \
-  $(INC)ndatablock.h \
-  $(INC)utilarr.h
-$(OBJ)histinit.o: histinit.cc $(INC)sopnamsp.h \
-  $(INC)machdefs.h histinit.h \
-  $(INC)ntoolsinit.h \
-  $(INC)tarrinit.h \
-  $(INC)sophyainit.h histos.h \
-  $(INC)objfio.h \
-  $(INC)anydataobj.h \
-  $(INC)ppersist.h \
-  $(INC)pexceptions.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)peida.h \
-  $(INC)utils.h \
-  $(INC)perrors.h \
-  $(INC)fmath.h \
-  $(INC)tvector.h \
-  $(INC)tmatrix.h \
-  $(INC)tarray.h \
-  $(INC)basarr.h \
-  $(INC)mutyv.h \
-  $(INC)dvlist.h \
-  $(INC)ndatablock.h \
-  $(INC)utilarr.h histos2.h hisprof.h histerr.h \
-  ntuple.h ntupintf.h xntuple.h datatable.h basedtable.h \
-  $(INC)segdatablock.h swppfdtable.h \
-  $(INC)swsegdb.h \
-  $(INC)ppfswapper.h \
-  $(INC)ppftpointerio.h
-$(OBJ)histos.o: histos.cc $(INC)sopnamsp.h \
-  $(INC)machdefs.h histos.h \
-  $(INC)objfio.h \
-  $(INC)anydataobj.h \
-  $(INC)ppersist.h \
-  $(INC)pexceptions.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)peida.h \
-  $(INC)utils.h \
-  $(INC)perrors.h \
-  $(INC)fmath.h \
-  $(INC)tvector.h \
-  $(INC)tmatrix.h \
-  $(INC)tarray.h \
-  $(INC)basarr.h \
-  $(INC)mutyv.h \
-  $(INC)dvlist.h \
-  $(INC)ndatablock.h \
-  $(INC)utilarr.h \
-  $(INC)poly.h \
-  $(INC)strutil.h
-$(OBJ)histos2.o: histos2.cc $(INC)sopnamsp.h \
-  $(INC)machdefs.h histos2.h \
-  $(INC)peida.h \
-  $(INC)utils.h \
-  $(INC)perrors.h \
-  $(INC)pexceptions.h \
-  $(INC)fmath.h histos.h \
-  $(INC)objfio.h \
-  $(INC)anydataobj.h \
-  $(INC)ppersist.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)tvector.h \
-  $(INC)tmatrix.h \
-  $(INC)tarray.h \
-  $(INC)basarr.h \
-  $(INC)mutyv.h \
-  $(INC)dvlist.h \
-  $(INC)ndatablock.h \
-  $(INC)utilarr.h
-$(OBJ)ntupintf.o: ntupintf.cc $(INC)sopnamsp.h \
-  ntupintf.h $(INC)machdefs.h \
-  $(INC)pexceptions.h
-$(OBJ)ntuple.o: ntuple.cc $(INC)sopnamsp.h \
-  $(INC)strutil.h \
-  $(INC)perrors.h \
-  $(INC)pexceptions.h \
-  $(INC)machdefs.h ntuple.h \
-  $(INC)objfio.h \
-  $(INC)anydataobj.h \
-  $(INC)ppersist.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h ntupintf.h \
-  $(INC)dvlist.h \
-  $(INC)mutyv.h
-$(OBJ)proxtuple.o: proxtuple.cc $(INC)sopnamsp.h \
-  proxtuple.h ntuple.h $(INC)objfio.h \
-  $(INC)machdefs.h \
-  $(INC)anydataobj.h \
-  $(INC)ppersist.h \
-  $(INC)pexceptions.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h ntupintf.h \
-  $(INC)dvlist.h \
-  $(INC)mutyv.h
-$(OBJ)swppfdtable.o: swppfdtable.cc swppfdtable.h basedtable.h \
-  $(INC)machdefs.h ntupintf.h \
-  $(INC)dvlist.h \
-  $(INC)objfio.h \
-  $(INC)anydataobj.h \
-  $(INC)ppersist.h \
-  $(INC)pexceptions.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)mutyv.h \
-  $(INC)segdatablock.h \
-  $(INC)swsegdb.h \
-  $(INC)ppfswapper.h \
-  $(INC)ppftpointerio.h \
-  $(INC)sopnamsp.h
-$(OBJ)xntuple.o: xntuple.cc $(INC)sopnamsp.h \
-  $(INC)ppersist.h \
-  $(INC)machdefs.h \
-  $(INC)pexceptions.h \
-  $(INC)gnumd5.h \
-  $(INC)ppfbinstream.h \
-  $(INC)rawstream.h \
-  $(INC)ppfnametag.h \
-  $(INC)perrors.h xntuple.h ntupintf.h \
-  $(INC)dvlist.h \
-  $(INC)objfio.h \
-  $(INC)anydataobj.h \
-  $(INC)mutyv.h
+	 rm -f $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o $(SOPHYAOBJP)xntuple.o
+	rm -f $(SOPHYALIBP)libHiStats.a
+ 
+$(SOPHYALIBP)libHiStats.a : $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o $(SOPHYAOBJP)xntuple.o
+	$(AR) $(ARFLAGS) $@ $? 
+ 
+$(SOPHYAOBJP)basedtable.o: basedtable.cc basedtable.h \
+  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)sopnamsp.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)datatable.o: datatable.cc datatable.h basedtable.h \
+  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)strutil.h \
+  $(SOPHYAINCP)fiosegdb.h \
+  $(SOPHYAINCP)ppftpointerio.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)fio_dtable.o: fio_dtable.cc datatable.h basedtable.h \
+  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)segdatablock.h swppfdtable.h \
+  $(SOPHYAINCP)swsegdb.h \
+  $(SOPHYAINCP)ppfswapper.h \
+  $(SOPHYAINCP)ppftpointerio.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)fiosegdb.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)hisprof.o: hisprof.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h hisprof.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h histos.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)histerr.o: histerr.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h histinit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h histerr.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h histos.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)histinit.o: histinit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h histinit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h histos2.h hisprof.h \
+  histerr.h ntuple.h ntupintf.h xntuple.h datatable.h basedtable.h \
+  $(SOPHYAINCP)segdatablock.h swppfdtable.h \
+  $(SOPHYAINCP)swsegdb.h \
+  $(SOPHYAINCP)ppfswapper.h \
+  $(SOPHYAINCP)ppftpointerio.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)histos2.o: histos2.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h histos2.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fmath.h histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)histos.o: histos.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)strutil.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)ntupintf.o: ntupintf.cc \
+  $(SOPHYAINCP)sopnamsp.h ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)ntuple.o: ntuple.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)strutil.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h ntuple.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)mutyv.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)proxtuple.o: proxtuple.cc \
+  $(SOPHYAINCP)sopnamsp.h proxtuple.h \
+  ntuple.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)mutyv.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)swppfdtable.o: swppfdtable.cc swppfdtable.h basedtable.h \
+  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)swsegdb.h \
+  $(SOPHYAINCP)ppfswapper.h \
+  $(SOPHYAINCP)ppftpointerio.h \
+  $(SOPHYAINCP)sopnamsp.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)xntuple.o: xntuple.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)perrors.h xntuple.h \
+  ntupintf.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h
+	$(CXXCOMPILE) -o $@ $<
+ 
Index: /trunk/SophyaLib/HiStats/histos2.cc
===================================================================
--- /trunk/SophyaLib/HiStats/histos2.cc	(revision 2740)
+++ /trunk/SophyaLib/HiStats/histos2.cc	(revision 2741)
@@ -7,5 +7,5 @@
 
 #include <string.h>
-#include <new.h>
+#include <new>
 #include <stdlib.h>
 #include <stdio.h>
Index: /trunk/SophyaLib/HiStats/objlist.list
===================================================================
--- /trunk/SophyaLib/HiStats/objlist.list	(revision 2740)
+++ /trunk/SophyaLib/HiStats/objlist.list	(revision 2741)
@@ -5,6 +5,6 @@
 histerr.o
 histinit.o
+histos2.o
 histos.o
-histos2.o
 ntupintf.o
 ntuple.o
Index: /trunk/SophyaLib/HiStats/smakefile
===================================================================
--- /trunk/SophyaLib/HiStats/smakefile	(revision 2741)
+++ /trunk/SophyaLib/HiStats/smakefile	(revision 2741)
@@ -0,0 +1,275 @@
+include $(SOPHYABASE)/include/sophyamake.inc
+ 
+all: $(SOPHYALIBP)libHiStats.a
+ 
+clean:
+	 rm -f $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o $(SOPHYAOBJP)xntuple.o
+	rm -f $(SOPHYALIBP)libHiStats.a
+ 
+$(SOPHYALIBP)libHiStats.a : $(SOPHYAOBJP)basedtable.o $(SOPHYAOBJP)datatable.o $(SOPHYAOBJP)fio_dtable.o $(SOPHYAOBJP)hisprof.o $(SOPHYAOBJP)histerr.o $(SOPHYAOBJP)histinit.o $(SOPHYAOBJP)histos2.o $(SOPHYAOBJP)histos.o $(SOPHYAOBJP)ntupintf.o $(SOPHYAOBJP)ntuple.o $(SOPHYAOBJP)proxtuple.o $(SOPHYAOBJP)swppfdtable.o $(SOPHYAOBJP)xntuple.o
+	$(AR) $(ARFLAGS) $@ $? 
+ 
+$(SOPHYAOBJP)basedtable.o: basedtable.cc basedtable.h \
+  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)sopnamsp.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)datatable.o: datatable.cc datatable.h basedtable.h \
+  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)strutil.h \
+  $(SOPHYAINCP)fiosegdb.h \
+  $(SOPHYAINCP)ppftpointerio.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)fio_dtable.o: fio_dtable.cc datatable.h basedtable.h \
+  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)segdatablock.h swppfdtable.h \
+  $(SOPHYAINCP)swsegdb.h \
+  $(SOPHYAINCP)ppfswapper.h \
+  $(SOPHYAINCP)ppftpointerio.h \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)fiosegdb.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)hisprof.o: hisprof.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h hisprof.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h histos.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)histerr.o: histerr.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h histinit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h histerr.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h histos.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)histinit.o: histinit.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h histinit.h \
+  $(SOPHYAINCP)ntoolsinit.h \
+  $(SOPHYAINCP)tarrinit.h \
+  $(SOPHYAINCP)sophyainit.h histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h histos2.h hisprof.h \
+  histerr.h ntuple.h ntupintf.h xntuple.h datatable.h basedtable.h \
+  $(SOPHYAINCP)segdatablock.h swppfdtable.h \
+  $(SOPHYAINCP)swsegdb.h \
+  $(SOPHYAINCP)ppfswapper.h \
+  $(SOPHYAINCP)ppftpointerio.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)histos2.o: histos2.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h histos2.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)fmath.h histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)histos.o: histos.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)machdefs.h histos.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)peida.h \
+  $(SOPHYAINCP)utils.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)fmath.h \
+  $(SOPHYAINCP)tvector.h \
+  $(SOPHYAINCP)tmatrix.h \
+  $(SOPHYAINCP)tarray.h \
+  $(SOPHYAINCP)basarr.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)ndatablock.h \
+  $(SOPHYAINCP)utilarr.h \
+  $(SOPHYAINCP)poly.h \
+  $(SOPHYAINCP)strutil.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)ntupintf.o: ntupintf.cc \
+  $(SOPHYAINCP)sopnamsp.h ntupintf.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)ntuple.o: ntuple.cc $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)strutil.h \
+  $(SOPHYAINCP)perrors.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)machdefs.h ntuple.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)mutyv.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)proxtuple.o: proxtuple.cc \
+  $(SOPHYAINCP)sopnamsp.h proxtuple.h \
+  ntuple.h $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)mutyv.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)swppfdtable.o: swppfdtable.cc swppfdtable.h basedtable.h \
+  $(SOPHYAINCP)machdefs.h ntupintf.h \
+  $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)mutyv.h \
+  $(SOPHYAINCP)segdatablock.h \
+  $(SOPHYAINCP)swsegdb.h \
+  $(SOPHYAINCP)ppfswapper.h \
+  $(SOPHYAINCP)ppftpointerio.h \
+  $(SOPHYAINCP)sopnamsp.h
+	$(CXXCOMPILE) -o $@ $<
+ 
+$(SOPHYAOBJP)xntuple.o: xntuple.cc \
+  $(SOPHYAINCP)sopnamsp.h \
+  $(SOPHYAINCP)ppersist.h \
+  $(SOPHYAINCP)machdefs.h \
+  $(SOPHYAINCP)pexceptions.h \
+  $(SOPHYAINCP)gnumd5.h \
+  $(SOPHYAINCP)ppfbinstream.h \
+  $(SOPHYAINCP)rawstream.h \
+  $(SOPHYAINCP)ppfnametag.h \
+  $(SOPHYAINCP)perrors.h xntuple.h \
+  ntupintf.h $(SOPHYAINCP)dvlist.h \
+  $(SOPHYAINCP)objfio.h \
+  $(SOPHYAINCP)anydataobj.h \
+  $(SOPHYAINCP)mutyv.h
+	$(CXXCOMPILE) -o $@ $<
+ 
